QGIS Application - Bug report #4288
Mac OSX Lion GDAL Plugin
2011-09-15 05:42 PM - CK -

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Mac Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14225
Description

Hi,

Plugin error message on startup. Began with V1.7, persists in dev build V1.8. Gdal plugin not working, Plugin manager unable to find
osgeo plugin as mentioned in QGIS V1.8 Readme File. Plugin path issue?

Cheers,

CK

Message:

Couldn't load plugin GdalTools due an error when calling its classFactory() method

Traceback (most recent call last):
File "/Applications/QGIS-1.8.app/Contents/MacQOS/../Resources/python/qgis/utils.py”, line 138, in startPlugin
plugins[packageName] = package.classFactory(iface)
File "/Applications/QGIS-1.8.app/Contents/MacOS/../Resources/python/plugins/GdalTools/__init__.py", line 32, in classFactory
from GdalTools import GdalTools
File "/Applications/QGIS-1.8.app/Contents/MacOS/../Resources/python/qgis/utils.py”, line 283, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/Applications/QGIS-1.8.app/Contents/MacQOS/../Resources/python/plugins/GdalTools/GdalTools.py", line 39, in
raise ImportError( error_str)
ImportError: No module named osgeo [python-gdal]

Python version:
2.7.1 (r271:86832, Jun 16 2011, 16:59:05)
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)]

QGIS version:
1.8.0-Trunk Trunk, a53e614

Python path: ['/Applications/QGIS-1.8.app/Contents/MacOS/../Resources/python’, '/Users/Chris/.qgis/python’,
'/Users/Chris/.qgis/python/plugins', /Applications/QGIS-1.8.app/Contents/MacOS/../Resources/python/plugins’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages',
'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', '/Library/Python/2.7/site-packages’,
'~/.qgis/python', '/Users/Chris/.qgis/python/plugins/fTools/tools']

History

#1 - 2011-10-31 08:47 AM - Alexandre Leroux

| have this error message and another similar one related to OpenLayers classFactory, see Issue #4471.

I'm using KyngChaos' QGIS 1.7.1-3 and getting these errors. Thanks!

#2 - 2011-11-12 05:51 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-19 07:01 PM - Alexandre Leroux

Thanks to Chris Kahler (probably the original submitter of this bug, "CK") who contacted me via emalil, after installing KyngChaos's new GDAL framework
updated on October 25th 2011, this error does not show up anymore with QGIS 1.7.1.

In other words, it now works fine for both of us. Maybe this bug report can be considered fixed now? Thanks! :-)

#4 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#5 - 2011-12-16 10:54 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#6 - 2012-01-28 03:27 PM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to invalid

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#7 - 2017-10-17 02:26 AM - Jiirgen Fischer
- Description updated
